Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jChatBox.Chat.Transcript
Class Dump

    java.lang.Object
      |
      +--jChatBox.Chat.Transcript.Dump

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  TextDump, XMLDump

public abstract class Dump
extends java.lang.Object
implements java.io.Serializable

This class defines a generic Transcript Dump.
Extended classes must fill in :
_name, _id and _description Strings in constructor.
Note that jChatBox conf/ folder path is available thanks to XMLConfig.CONFFOLDER static field.

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `_description`
`protected java.lang.String` | `_id`
`protected java.lang.String` | `_name`
`protected java.util.Vector` | `_params`

Constructor Summary
`Dump()`

Method Summary
`java.lang.String` | `getDescription()` Returns TranscriptDump's description.
`java.lang.String` | `getID()` Returns TranscriptDump's ID.
`java.lang.String` | `getName()` Returns TranscriptDump's name.
`java.util.Vector` | `getParams()` Returns TranscriptDump's parameters.
`abstract void` | `init()` Initialize the TranscriptDump.
`abstract java.lang.String` | `process(Chatroom chatroom, java.lang.String filename)` Runs TranscriptDump.
`void` | `setParams(java.util.Vector v)` Sets TranscriptDump's parameters.
`protected void` | `trace(int level, java.lang.String msg)` Sends trace to debug.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _name

    protected java.lang.String _name

### _id

    protected java.lang.String _id

### _description

    protected java.lang.String _description

### _params

    protected java.util.Vector _params

Constructor Detail

### Dump

    public Dump()

Method Detail

### init

    public abstract void init()

  Initialize the TranscriptDump.
  This method will be called after TranscriptDump's instantiation.

### process

    public abstract java.lang.String process(Chatroom chatroom,
                                             java.lang.String filename)
                                      throws ChatException

  Runs TranscriptDump.

    `ChatException`

### getID

    public java.lang.String getID()

  Returns TranscriptDump's ID.

### getDescription

    public java.lang.String getDescription()

  Returns TranscriptDump's description.

### getName

    public java.lang.String getName()

  Returns TranscriptDump's name.

### getParams

    public java.util.Vector getParams()

  Returns TranscriptDump's parameters.

### setParams

    public void setParams(java.util.Vector v)

  Sets TranscriptDump's parameters.

### trace

    protected void trace(int level,
                         java.lang.String msg)

  Sends trace to debug.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD